Public Class RegistroIngresoCE
    Private _CodigoEmpresa As String
    Private _CodigoInstrumento As String
    Private _CodigoBanco As String
    Private _CodigoInversion As String
    Private _IngresoID As Integer
    Private _CodigoInstitucionFinanciera As String
    Private _FormaDePago As String
    Private _CuentaBancaria As String
    Private _FechaDelIngreso As DateTime
    Private _FechaRegistro As DateTime
    Private _Validado As String
    Private _FechaValidacion As DateTime
    Private _Conciliado As String
    Private _FechaConciliacion As DateTime
    Private _MontoCapital As Double
    Private _MontoIngresoBruto As Double
    Private _MontoISR As Double
    Private _MontoIngresoNeto As Double
    Private _MontoIngresoLiquido As Double
    Private _TransId As String


    Public Property CodigoEmpresa As String
        Get
            Return _CodigoEmpresa
        End Get
        Set(value As String)
            _CodigoEmpresa = value
        End Set
    End Property
    Public Property CodigoInstrumento As String
        Get
            Return _CodigoInstrumento
        End Get
        Set(value As String)
            _CodigoInstrumento = value
        End Set
    End Property
    Public Property CodigoBanco As String
        Get
            Return _CodigoBanco
        End Get
        Set(value As String)
            _CodigoBanco = value
        End Set
    End Property
    Public Property CodigoInversion As String
        Get
            Return _CodigoInversion
        End Get
        Set(value As String)
            _CodigoInversion = value
        End Set
    End Property
    Public Property IngresoID As Integer
        Get
            Return _IngresoID
        End Get
        Set(value As Integer)
            _IngresoID = value
        End Set
    End Property

    Public Property FormaDePago As String
        Get
            Return _FormaDePago
        End Get
        Set(value As String)
            _FormaDePago = value
        End Set
    End Property
    Public Property CuentaBancaria As String
        Get
            Return _CuentaBancaria
        End Get
        Set(value As String)
            _CuentaBancaria = value
        End Set
    End Property
    Public Property FechaDelIngreso As DateTime
        Get
            Return _FechaDelIngreso
        End Get
        Set(value As DateTime)
            _FechaDelIngreso = value
        End Set
    End Property
    Public Property FechaRegistro As DateTime
        Get
            Return _FechaRegistro
        End Get
        Set(value As DateTime)
            _FechaRegistro = value
        End Set
    End Property
    Public Property Validado As String
        Get
            Return _Validado
        End Get
        Set(value As String)
            _Validado = value
        End Set
    End Property
    Public Property FechaValidacion As DateTime
        Get
            Return _FechaValidacion
        End Get
        Set(value As DateTime)
            _FechaValidacion = value
        End Set
    End Property
    Public Property Conciliado As String
        Get
            Return _Conciliado
        End Get
        Set(value As String)
            _Conciliado = value
        End Set
    End Property
    Public Property FechaConciliacion As DateTime
        Get
            Return _FechaConciliacion
        End Get
        Set(value As DateTime)
            _FechaConciliacion = value
        End Set
    End Property
    Public Property MontoCapital As Double
        Get
            Return _MontoCapital
        End Get
        Set(value As Double)
            _MontoCapital = value
        End Set
    End Property
    Public Property MontoIngresoBruto As Double
        Get
            Return _MontoIngresoBruto
        End Get
        Set(value As Double)
            _MontoIngresoBruto = value
        End Set
    End Property
    Public Property MontoISR As Double
        Get
            Return _MontoISR
        End Get
        Set(value As Double)
            _MontoISR = value
        End Set
    End Property
    Public Property MontoIngresoNeto As Double
        Get
            Return _MontoIngresoNeto
        End Get
        Set(value As Double)
            _MontoIngresoNeto = value
        End Set
    End Property
    Public Property MontoIngresoLiquido As Double
        Get
            Return _MontoIngresoLiquido
        End Get
        Set(value As Double)
            _MontoIngresoLiquido = value
        End Set
    End Property

    Public Property TransId As String
        Get
            Return _TransId
        End Get
        Set(value As String)
            _TransId = value
        End Set
    End Property
End Class
